## getfem 5.4.2+dfsg1

=== doc/sphinx/source/matlab_octave/images/Makefile ===
#  Copyright (C) 1999-2020 Yves Renard
#
#  This file is a part of GetFEM++
#
#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
#  under  the  terms  of the  GNU  Lesser General Public License as published
#  by  the  Free Software Foundation;  either version 3 of the License,  or
#  (at your option) any later version along with the GCC Runtime Library
#  Exception either version 3.1 or (at your option) any later version.
#  This program  is  distributed  in  the  hope  that it will be useful,  but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
#  License and GCC Runtime Library Exception for more details.
#  You  should  have received a copy of the GNU Lesser General Public License
#  along  with  this program;  if not, write to the Free Software Foundation,
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.

FIGS=hierarchy.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert  -density 200 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== doc/sphinx/source/project/images/Makefile ===
#  Copyright (C) 1999-2020 Yves Renard
#
#  This file is a part of GetFEM++
#
#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
#  under  the  terms  of the  GNU  Lesser General Public License as published
#  by  the  Free Software Foundation;  either version 3 of the License,  or
#  (at your option) any later version along with the GCC Runtime Library
#  Exception either version 3.1 or (at your option) any later version.
#  This program  is  distributed  in  the  hope  that it will be useful,  but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
#  License and GCC Runtime Library Exception for more details.
#  You  should  have received a copy of the GNU Lesser General Public License
#  along  with  this program;  if not, write to the Free Software Foundation,
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.

FIGS=diagram.fig 		 \
     getfemelemelem.fig  	 \
     tree_simple_laplace_tan.fig \
     getfemtransgeo.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert -density 200 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== doc/sphinx/source/python/images/Makefile ===
#  Copyright (C) 1999-2020 Yves Renard
#
#  This file is a part of GetFEM++
#
#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
#  under  the  terms  of the  GNU  Lesser General Public License as published
#  by  the  Free Software Foundation;  either version 3 of the License,  or
#  (at your option) any later version along with the GCC Runtime Library
#  Exception either version 3.1 or (at your option) any later version.
#  This program  is  distributed  in  the  hope  that it will be useful,  but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
#  License and GCC Runtime Library Exception for more details.
#  You  should  have received a copy of the GNU Lesser General Public License
#  along  with  this program;  if not, write to the Free Software Foundation,
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.

FIGS=hierarchy.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert -density 200 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

=== doc/sphinx/source/userdoc/images/Makefile ===
#  Copyright (C) 1999-2020 Yves Renard
#
#  This file is a part of GetFEM++
#
#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
#  under  the  terms  of the  GNU  Lesser General Public License as published
#  by  the  Free Software Foundation;  either version 3 of the License,  or
#  (at your option) any later version along with the GCC Runtime Library
#  Exception either version 3.1 or (at your option) any later version.
#  This program  is  distributed  in  the  hope  that it will be useful,  but
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
#  License and GCC Runtime Library Exception for more details.
#  You  should  have received a copy of the GNU Lesser General Public License
#  along  with  this program;  if not, write to the Free Software Foundation,
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.

FIGS=getfemlistargyris.fig                   \
     getfemlistcubeQ1.fig                    \
     getfemlistcubeQ3.fig                    \
     getfemlistHCT.fig                       \
     getfemlistincomplete.fig                \
     getfemlistintmethodquad2.fig            \
     getfemlistintmethodquad3.fig            \
     getfemlistintmethodquad5.fig            \
     getfemlistintmethodtetrahedron1.fig     \
     getfemlistintmethodtetrahedron2.fig     \
     getfemlistintmethodtetrahedron3.fig     \
     getfemlistintmethodtetrahedron5.fig     \
     getfemlistintmethodtriangle1.fig        \
     getfemlistintmethodtriangle2comp.fig    \
     getfemlistintmethodtriangle2.fig        \
     getfemlistintmethodtriangle3.fig        \
     getfemlistintmethodtriangle4.fig        \
     getfemlistintmethodtriangle5.fig        \
     getfemlistintmethodtriangle6.fig        \
     getfemlistintmethodtriangle7.fig        \
     getfemlistmorley.fig                    \
     getfemlistnedelec.fig                   \
     getfemlistprismP1.fig                   \
     getfemlistprismP2P1.fig                 \
     getfemlistprismP3.fig                   \
     getfemlistquadc1composite.fig           \
     getfemlistquadQ1.fig                    \
     getfemlistquadQ3.fig                    \
     getfemlistreducedHCT.fig                \
     getfemlistreducedquadc1composite.fig    \
     getfemlistRT0.fig                       \
     getfemlistsegmentbubble.fig             \
     getfemlistsegmenthermite.fig            \
     getfemlistsegmenthier.fig               \
     getfemlistsegmentPk.fig                 \
     getfemlistsymbols00.fig                 \
     getfemlistsymbols01.fig                 \
     getfemlistsymbols02.fig                 \
     getfemlistsymbols03.fig                 \
     getfemlistsymbols04.fig                 \
     getfemlistsymbols05.fig                 \
     getfemlistsymbols06.fig                 \
     getfemlistsymbols07.fig                 \
     getfemlistsymbols08.fig                 \
     getfemlistsymbols09.fig                 \
     getfemlistsymbols10.fig                 \
     getfemlistsymbols11.fig                 \
     getfemlistsymbols12.fig                 \
     getfemlistsymbols13.fig                 \
     getfemlisttetrahedronhermite.fig        \
     getfemlisttetrahedronP1bubbleface.fig   \
     getfemlisttetrahedronP1bubble.fig       \
     getfemlisttetrahedronP1.fig             \
     getfemlisttetrahedronP2bubble.fig       \
     getfemlisttetrahedronP2.fig             \
     getfemlisttetrahedronP3bubble.fig       \
     getfemlisttetrahedronP4.fig             \
     getfemlisttrianglehermite.fig           \
     getfemlisttriangleP1bubbleface.fig      \
     getfemlisttriangleP1bubble.fig          \
     getfemlisttriangleP1comp.fig            \
     getfemlisttriangleP1comphier.fig        \
     getfemlisttriangleP1.fig                \
     getfemlisttriangleP1linbubble.fig       \
     getfemlisttriangleP1nonconforming.fig   \
     getfemlisttriangleP1withP2face.fig      \
     getfemlisttriangleP2bubble.fig          \
     getfemlisttriangleP2.fig                \
     getfemlisttriangleP3.fig                \
     getfemlisttriangleP6.fig                \
     getfemuserelemf.fig                     \
     getfemuserelem.fig                      \
     getfemuserlinearsys.fig                 \
     getfemuserlinsysDir.fig                 \
     getfemuserrefine.fig		     \
     getfemusermodelmasterslave.fig          \
     getfemusermodeldetectcontact.fig        \
     getfemusermodelfalsecontact1.fig        \
     getfemusermodelfalsecontact2.fig        \
     getfemlistpyramidP0.fig                 \
     getfemlistpyramidP1.fig                 \
     getfemlistpyramidP2.fig                 \
     ALE_rotating_body.fig		     \
     ALE_translation_body.fig		     \
     ALE_rotating_conf.fig

EPSFIGS=$(FIGS:.fig=.eps)
PNGFIGS=$(FIGS:.fig=.png)

.SUFFIXES: .fig .eps .png

.fig.eps:
	../../../../../bin/fig2eps $(@:.eps=.fig)

.eps.png:
	convert -density 200 $(@:.png=.eps) $@

png: $(PNGFIGS)

clean:
	-rm -rf *.aux
	-rm -rf *.dvi
	-rm -rf *.log
	-rm -rf *.bak
	-rm -rf $(EPSFIGS)
	-rm -rf $(PNGFIGS)

## getfem 5.4.1+dfsg1

=== debian/changelog ===
getfem (5.4.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * Remove unnecessary build dependencies.
  * Cleanup and fix gencontrol warnings.
  * Rename package from getfem++ to getfem.
  * New upstream release.
    - applies 04_fix_FTBFS.patch
    - overrides 06_gcc-6.patch
    - applies drop_python2.patch
    - overrides fix_blas_interface.patch
    - applies fix_python3_tests_4fe9963c.patch
    - overrides fix_python3_tests_8dcd729f.patch
    - overrides numpy1.14.patch

  [ Drew Parsons ]
  * drop src/getfem_boost from debian/copyright (no longer in source)

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Jul 2022 14:17:06 +0200

getfem++ (5.3+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix up the maintainer field.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 21:08:03 +0200

getfem++ (5.3+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Graham Inggs ]
  * Check success of distutils import by return code rather
    than by stderr to avoid FTBFS with Python 3.10 (Closes: #1008689)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Apr 2022 20:02:23 +0200

getfem++ (5.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * mark as Build-Depends: python3-dev not python3-all-dev.
    Build system uses automake which makes it difficult to manage
    multiple python versions. Closes: #948018.
  * Standards-Version: 4.6.0
  * debhelper compatibility level 13
  * list usr/lib/python*/*-packages/getfem/*.py in debian/not-installed
    to work around Bug#1001914 in dh_missing. These python files are
    processed by dh_python3 via debian/python3-getfem++.pyinstall.

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Dec 2021 21:13:11 +0100

getfem++ (5.3+dfsg1-3) unstable; urgency=medium

  * Remove redundant dependencies on muparser and several boost packages.
  * Fix blas and lapack interface. Closes: #943943.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 27 Dec 2019 13:51:29 +0000

getfem++ (5.3+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian patch scripts_python3.patch sets bin/extract_doc and
    bin/split_cmdref to python3. Closes: #943943.

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2019 23:50:04 +1100

getfem++ (5.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies 10_move_getfem_arch_config.patch
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop Python 2: replace python-getfem++ with python3-getfem++.
    Closes: #916893, #936603.
    - add debian patch drop_python2.patch to mop up remaining
      Python2isms.
    - fix_python3_tests_4fe9963c.patch adapts upstream commit 4fe9963c
    - fix_python3_tests_8dcd729f.patch adapts upstream commit 8dcd729f
    - patch getfem.py and __init__.py installed in getfem dir to
      import self via .
    - run debian/tests/python3 from interface/tests/python
  * use dh_missing to identify uninstalled files
  * mark usr/getfem_toolbox/meshes as non-installed
    (only used by interface/tests, which are not installed)
  * python3-getfem++.pyinstall installs the python shared library directly
    from interface/src/python (apparently a bug in upstream build
    scripts: they no longer  install the python .so file)
  * mark libgmm++-dev as Architecture: any to match libmumps-dev
    dependency. Aids cross-compiling. Closes: #940325.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Sep 2019 13:15:41 +0800

getfem++ (5.2+dfsg1-7) unstable; urgency=medium

  * Team upload
  * Fix compatibility with NumPy 1.14, thanks Daniel Watkins (Closes: #899019)
  * Update Vcs-* URIs for move to salsa.debian.org
  * Update upstream Homepage
  * Drop ancient X-Python-Version: >= 2.5
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 30 May 2018 10:57:15 +0000

getfem++ (5.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [7f95df8] Use (= ${source:Version}) for the libgmm++-dev. (Closes: #887618)
  * [8197c7b] Bump Standards-Version: 4.1.3
  * [e5c6cd0] Switch to compat-level 11
  * [0d4f384] Remove myself from uploaders
  * [432ed30] Remove testsuite-field in the d/control

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Feb 2018 19:03:14 +0100

getfem++ (5.2+dfsg1-5) unstable; urgency=medium

  * [b7753e9] Install getfem_arch_config.h into gmm-folder. (Closes: #872670)
  * [94f31a4] Copy needed for compilation file in d/rules.
  * [58de27d] Add versioned depedndency on libgmm-dev.

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Aug 2017 14:27:42 +0200

getfem++ (5.2+dfsg1-4) unstable; urgency=medium

  * [942a518] Fix FTBFS caused by the previous upload

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 21:18:26 +0200

getfem++ (5.2+dfsg1-3) unstable; urgency=medium

  * [de659e0] Disable unreliable nonlinear_membrane test

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 20:12:41 +0200

getfem++ (5.2+dfsg1-2) unstable; urgency=medium

  * [69ba5ec] Disable failing on mips64el test static_contact_gears.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 20:45:52 +0200

getfem++ (5.2+dfsg1-1) unstable; urgency=medium

  * [f8488f5] Update d/watch
  * [1b52fd2] Refresh patches.
  * [9388eb9] New upstream version 5.2+dfsg1. (Closes: #853416, #848859)
  * [ff6bc15] Bumped Standards-Version: 4.0.0
  * [ed9c10d] Ignore quilt dir
  * [46e9a04] Update patches.
  * [d6b5094] Set compat level 10
  * [ba31161] Set the maximal hardening level.
  * [d2ed10a] Remove not needed depends.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 00:02:15 +0200

getfem++ (5.1+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [a461f19] Add missing depends on python-scipy for autopkgtests.
              (Closes: #836420)

  [ Anton Gladky ]
  * [e7274dc] Allow stderr output in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 18:48:59 +0100



=== debian/control ===
Source: getfem
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
Section: libs
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               dh-python,
               libblas-dev,
               libmetis-dev,
               libmumps-seq-dev,
               libqhull-dev,
               libsuperlu-dev,
               libtool,
               python3-dev,
               python3-numpy,
               python3-scipy
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/getfem
Vcs-Git: https://salsa.debian.org/science-team/getfem.git
Homepage: http://getfem.org/

Package: libgetfem-dev
Architecture: any
Section: libdevel
Depends: libgetfem5 (= ${binary:Version}),
         libgmm-dev (= ${binary:Version}),
         libsuperlu-dev,
         ${misc:Depends}
Description: Development files for the GETFEM generic finite element library
 GETFEM is a library allowing the computation of any elementary matrix (even for
 mixed finite element methods) on the largest class of methods and elements, and
 for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM library.

Package: libgetfem5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GETFEM generic finite element library
 GETFEM is a library allowing the computation of any elementary matrix (even for
 mixed finite element methods) on the largest class of methods and elements, and
 for arbitrary dimension.

Package: libgmm-dev
Architecture: any
Section: libdevel
Depends: libmumps-dev,
         ${misc:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python3-getfem
Architecture: any
Section: python
XB-Python-Version: ${python3:Versions}
Depends: libgetfem5 (= ${binary:Version}),
         python3,
         python3-numpy,
         python3-scipy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python interface to the GETFEM generic finite element library
 GETFEM is a library allowing the computation of any elementary matrix (even for
 mixed finite element methods) on the largest class of methods and elements, and
 for arbitrary dimension.
 .
 This package contains the Python 3 interface to GETFEM.
 
Package: libgetfem++-dev
Depends: libgetfem-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libgetfem5++
Depends: libgetfem5, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libgmm++-dev
Depends: libgmm-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: python3-getfem++
Depends: python3-getfem, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

## getfem 5.4.2+dfsg1

=== debian/changelog ===
getfem (5.4.2+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * Reenable unit tests on s390x.
  * debian patch 01_fix_integral_type_portability_bug.patch fixes
    portability issue and failing package build for s390x. Closes: #1023788.

 -- Drew Parsons <dparsons@debian.org>  Thu, 01 Dec 2022 12:53:47 +0100

getfem (5.4.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * temporarily skip tests on s390x. See Bug#1023788.

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Nov 2022 15:49:53 +0100

getfem (5.4.2+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Konstantinos Poulios ]
  * New upstream release.
    - applies python3.10.patch
    - overrides scripts_python3.patch
  * Change libgmm-dev package architecture from "any" to "same"
  * Add Replaces/Breaks dependencies for old package names (Closes: #1016509)
  * Add build dependency on liblapack-dev, needed in unit-tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 04 Nov 2022 16:52:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                automake,
                debhelper-compat (= 13),
                dh-python,
-               libblas-dev,
+               libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
+               liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
                libmetis-dev,
                libmumps-seq-dev,
                libqhull-dev,
@@ -16,12 +17,14 @@
                python3-dev,
                python3-numpy,
                python3-scipy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/getfem
 Vcs-Git: https://salsa.debian.org/science-team/getfem.git
 Homepage: http://getfem.org/
 
 Package: libgetfem-dev
+Replaces: libgetfem++-dev (<< 5.4.1~)
+Breaks: libgetfem++-dev (<< 5.4.1~)
 Architecture: any
 Section: libdevel
 Depends: libgetfem5 (= ${binary:Version}),
@@ -37,6 +40,8 @@
  GETFEM library.
 
 Package: libgetfem5
+Replaces: libgetfem5++ (<< 5.4.1~)
+Breaks: libgetfem5++ (<< 5.4.1~)
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -48,7 +53,10 @@
  for arbitrary dimension.
 
 Package: libgmm-dev
+Replaces: libgmm++-dev (<< 5.4.1~)
+Breaks: libgmm++-dev (<< 5.4.1~)
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libmumps-dev,
          ${misc:Depends}
@@ -61,6 +69,8 @@
  are built-in, hence it can be used as a standalone linear algebra library.
 
 Package: python3-getfem
+Replaces: python3-getfem++ (<< 5.4.1~)
+Breaks: python3-getfem++ (<< 5.4.1~)
 Architecture: any
 Section: python
 XB-Python-Version: ${python3:Versions}
@@ -110,4 +120,3 @@
 Section: oldlibs
 Description: transitional package
  This is a transitional package. It can safely be removed.
-

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

#=====================================================================

export CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -Wall $(shell dpkg-buildflags --get CXXFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

configure_flags= $(CROSS) --prefix=/usr \
		--enable-shared --with-pic \
		--enable-python3 --enable-metis \
		--disable-matlab --disable-superlu \
		--enable-mumps --disable-scilab \
		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  

#=====================================================================

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/./src/.libs/

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)
	cp $(CURDIR)/src/getfem/getfem_arch_config.h $(CURDIR)/src/gmm/

override_dh_install:
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*.pyo' -print0 | xargs -0 rm -f
	find . -name '*.la' -print0 | xargs -0 rm -f
	dh_install
	sed "s/from getfem import/from .getfem import/; s/from _getfem import/from ._getfem import/" -i debian/tmp/usr/lib/python*/*-packages/getfem/*.py
	dh_missing --list-missing
	dh_numpy3

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

#override_dh_auto_test:
#	dh_auto_test || true

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://download-mirror.savannah.gnu.org/releases/getfem/stable/getfem-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## getfem 5.4.4%2Bdfsg1

=== debian/changelog ===
getfem (5.4.4+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Also skip gmm_torture05_mult test, which failed on i386.
  * Also ignore failures in contrib/continuum_mechanics demo
    plasticity_fin_strain_lin_hardening_plane_strain.py which failed on arm64.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 13:45:28 +0000

getfem (5.4.4+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Rename to 08_skip_failing_gmm_tests.patch the patch introduced in the
    previous upload, and also skip gmm_torture10_qr test, which currently fails
    on armel.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 10:16:09 +0000

getfem (5.4.4+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Add 08_skip_gmm_torture20_iterative_solvers.patch to skip a test that
    currently fails while building on s390x. Closes: #1095229.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Feb 2025 06:24:24 +0000

getfem (5.4.4+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.4.4. Closes: #1094699.
  * Drop
    - 01_fix_integral_type_portability_bug.patch
    - 08_fix_scipy_issue.patch
    - 09_fix_twice_build_issue.patch
    - 10_fix_getfem_python_for_gcc14.patch
    which were intregrated upstream.
  * Refresh 07_disable_scilab.patch

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 03 Feb 2025 08:06:50 +0000

getfem (5.4.2+dfsg1-5.1) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-setuptools (Closes: #1080892)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 00:01:26 +0100

getfem (5.4.2+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Add 10_fix_getfem_python_for_gcc14.patch to fix FTBFS issue with GCC 14.
    The patch contains the diff for interface/src/python/getfem_python.c
    in several commits that have happened from the 5.4.2 release up to upstream
    commit b79b768052. Closes: #1077528.
  * Squash trailing whitespace in debian/changelog and debian/rules.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 12:39:58 +0000

getfem (5.4.2+dfsg1-4) unstable; urgency=medium

  * Team upload.

  * Ack previous NMU upload.
  * Add 08_fix_scipy_issue.patch to fix py3.12 build issue
    (Closes: #1073374)
  * Set std-ver to 4.7.0.
  * Drop whitespace of d/changelog, d/rules and d/control
  * Add Rules-Requires-Root: no to debian/control
  * Add metadata file to debian/upstream
  * Add override_dh_auto_clean and 09_fix_twice_build_issue.patch
    to fix twice build issue. (Closes: #1049792)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 25 Jun 2024 18:19:30 +0800

getfem (5.4.2+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062106

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:07:16 +0000

## getfem 5.4.4+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.23)
include(CheckIncludeFile)
include(CheckIncludeFileCXX)
include(CheckCXXSourceCompiles)
include(CheckLibraryExists)

string(ASCII 27 ESC)
message("${ESC}[33m"
        "The cmake build system for GetFEM is an alternative to the "
        "autotools build. It is a work in progress and it does not "
        "support all options supported by the autotools system."
        "${ESC}[0m")
project(GetFEM)

# Set the project version
set(VERSION_MAJOR 5)
set(VERSION_MINOR 4)
set(VERSION_PATCH 2)
# applies to both GetFEM and GMM
set(GETFEM_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
set(GMM_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
# mimic autotools package variables
set(GETFEM_PACKAGE_NAME "getfem")
set(GETFEM_PACKAGE_STRING "getfem ${GETFEM_VERSION}")
set(GETFEM_PACKAGE_TARNAME "getfem")

# Configure options for enabling/disabling Python, Octave, and MATLAB support
option(ENABLE_PYTHON "Enable Python support" OFF)
option(ENABLE_OCTAVE "Enable Octave support" OFF)
option(ENABLE_MATLAB "Enable MATLAB support" OFF)
# Configure option for enabling/disabling OpenMP support
option(ENABLE_OPENMP "Enable OpenMP support" OFF)
# Configure option to enable Qhull support
option(ENABLE_QHULL "Enable Qhull support" ON)
# Configure options for enabling/disabling linear solvers (at least one is required)
option(ENABLE_SUPERLU "Enable SuperLU support" ON) # might be turned off by cmake if SuperLU is not found
option(ENABLE_MUMPS "Enable MUMPS support" ON)     # might be turned off by cmake if MUMPS is not found
# Configure option for enabling/disabling multithreaded BLAS (requires the dl library)
option(ENABLE_MULTITHREADED_BLAS "Enable multithreaded blas support" OFF)
option(GENERATE_GETFEM_IM_LIST_H "Run perl script that (re-)generates header file with integration methods" ON)

option(BUILD_SHARED_LIBS "Build libraries as SHARED, equivalent to BUILD_LIBRARY_TYPE=SHARED" ON)
set(BUILD_LIBRARY_TYPE "SHARED" CACHE STRING
    "Type of library to build, choose among SHARED, STATIC, STATIC_BUNDLE_DEPS")
set_property(CACHE BUILD_LIBRARY_TYPE PROPERTY STRINGS
             "SHARED" "STATIC" "STATIC_BUNDLE_DEPS")
if(NOT BUILD_LIBRARY_TYPE STREQUAL "SHARED" AND BUILD_SHARED_LIBS)
  message(STATUS "BUILD_LIBRARY_TYPE=${BUILD_LIBRARY_TYPE} option overrides BUILD_SHARED_LIBS=ON")
  set(BUILD_SHARED_LIBS OFF)
elseif(NOT BUILD_SHARED_LIBS AND BUILD_LIBRARY_TYPE STREQUAL "SHARED")
  message(STATUS "BUILD_SHARED_LIBS=OFF option overrides BUILD_LIBRARY_TYPE=SHARED")
  set(BUILD_LIBRARY_TYPE "STATIC")
endif()

set(WITH_OPTIMIZATION "-O2" CACHE STRING "Set the optimization level (default: -O2)")
set(GETFEM_PARA_LEVEL 0 CACHE STRING "Set the GETFEM_PARA_LEVEL option (default: 0)")

# CMake variable for installation path
set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation prefix")


# General tests and configurations
set(CMAKE_CXX_STANDARD 14 CACHE STRING "Set C++ standard version (default: 14))
set(CMAKE_CXX_STANDARD_REQUIRED ON)
check_include_file_cxx("cxxabi.h" GETFEM_HAVE_CXXABI_H)
check_cxx_source_compiles(
  "#include <fenv.h>\nint main() {feenableexcept(FE_DIVBYZERO); return 0;}"
  GETFEM_HAVE_FEENABLEEXCEPT)

# Tests for availability of linear solvers
if(ENABLE_SUPERLU)
  if(NOT BUILD_SHARED_LIBS)
    find_library(SUPERLU_STATIC_LIBS NAMES libsuperlu.a PATHS ${SUPERLU_LIB_DIR})
  endif()
  if(SUPERLU_STATIC_LIBS)
    set(SUPERLU_LIBS SUPERLU_STATIC_LIBS)
  else()
    find_library(SUPERLU_LIBS NAMES superlu PATHS ${SUPERLU_LIB_DIR})
  endif()
  if(SUPERLU_LIBS)
    find_path(SUPERLU_INCLUDE_PATH NAMES "superlu/slu_ddefs.h" HINTS ${SUPERLU_INC_DIR})
    set(CMAKE_REQUIRED_LIBRARIES ${SUPERLU_LIBS})
      check_library_exists(superlu dCreate_CompCol_Matrix "" HAVE_SUPERLU)
    set(CMAKE_REQUIRED_LIBRARIES)
  endif()

  if(SUPERLU_INCLUDE_PATH)
    message(STATUS "SUPERLU_INCLUDE_PATH = ${SUPERLU_INCLUDE_PATH}")
  else()
    message(WARNING "SuperLU headers NOT found : you can define SUPERLU_INC_DIR to help cmake find them")
  endif()

  if(HAVE_SUPERLU AND SUPERLU_INCLUDE_PATH)
    message(STATUS "SUPERLU_LIBS = ${SUPERLU_LIBS}")
    set(GMM_USES_SUPERLU 1)
    message(STATUS "Building with SuperLU")
  else()
    set(ENABLE_SUPERLU OFF)
    message(WARNING "Building without SuperLU")
  endif()
else()
  message("Building with SuperLU explicitly disabled")
endif()

if(ENABLE_MUMPS)
  set(MUMPS_LIBS "")
  if(GETFEM_PARA_LEVEL LESS_EQUAL 1) # try to find "?mumps_seq" named libs first
    if(NOT BUILD_SHARED_LIBS)
      find_library(SMUMPS_STATIC_LIB NAMES libsmumps_seq.a libsmumps.a smumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(DMUMPS_STATIC_LIB NAMES libdmumps_seq.a libdmumps.a dmumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(CMUMPS_STATIC_LIB NAMES libcmumps_seq.a libcmumps.a cmumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(ZMUMPS_STATIC_LIB NAMES libzmumps_seq.a libzmumps.a zmumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(MUMPS_COMMON_STATIC_LIB NAMES libmumps_common.a  mumps_common.lib PATHS ${MUMPS_LIB_DIR})
      find_library(PORD_STATIC_LIB NAMES libpord.a pord.lib PATHS ${MUMPS_LIB_DIR})
      find_library(MPISEQ_STATIC_LIB NAMES libmpiseq.a libmpiseq_seq.a mpiseq.lib PATHS ${MUMPS_LIB_DIR})
    endif()
    if(SMUMPS_STATIC_LIB AND DMUMPS_STATIC_LIB AND CMUMPS_STATIC_LIB AND ZMUMPS_STATIC_LIB
       AND MUMPS_COMMON_STATIC_LIB AND PORD_STATIC_LIB AND MPISEQ_STATIC_LIB)
      set(MUMPS_LIBS ${SMUMPS_STATIC_LIB} ${DMUMPS_STATIC_LIB} ${CMUMPS_STATIC_LIB} ${ZMUMPS_STATIC_LIB}
                     ${MUMPS_COMMON_STATIC_LIB} ${PORD_STATIC_LIB} ${MPISEQ_STATIC_LIB})
    else()
      find_library(SMUMPS_LIB NAMES smumps_seq smumps PATHS ${MUMPS_LIB_DIR})
      find_library(DMUMPS_LIB NAMES dmumps_seq dmumps PATHS ${MUMPS_LIB_DIR})
      find_library(CMUMPS_LIB NAMES cmumps_seq cmumps PATHS ${MUMPS_LIB_DIR})
      find_library(ZMUMPS_LIB NAMES zmumps_seq zmumps PATHS ${MUMPS_LIB_DIR})
      find_library(MUMPS_COMMON_LIB NAMES mumps_common PATHS ${MUMPS_LIB_DIR})
      find_library(PORD_LIB NAMES pord PATHS ${MUMPS_LIB_DIR})
      find_library(MPISEQ_LIB NAMES mpiseq mpiseq_seq PATHS ${MUMPS_LIB_DIR})
      if (SMUMPS_LIB AND DMUMPS_LIB AND CMUMPS_LIB AND ZMUMPS_LIB
          AND MUMPS_COMMON_LIB AND PORD_LIB AND MPISEQ_LIB)
        set(MUMPS_LIBS ${SMUMPS_LIB} ${DMUMPS_LIB} ${CMUMPS_LIB} ${ZMUMPS_LIB}
                       ${MUMPS_COMMON_LIB} ${PORD_LIB} ${MPISEQ_LIB})
      endif()
    endif()
  else() # GETFEM_PARA_LEVEL = 2
    if(NOT BUILD_SHARED_LIBS)
      find_library(SMUMPS_STATIC_LIB NAMES libsmumps.a smumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(DMUMPS_STATIC_LIB NAMES libdmumps.a dmumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(CMUMPS_STATIC_LIB NAMES libcmumps.a cmumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(ZMUMPS_STATIC_LIB NAMES libzmumps.a zmumps.lib PATHS ${MUMPS_LIB_DIR})
      find_library(MUMPS_COMMON_STATIC_LIB NAMES libmumps_common.a mumps_common.lib PATHS ${MUMPS_LIB_DIR})
      find_library(PORD_STATIC_LIB NAMES libpord.a pord.lib PATHS ${MUMPS_LIB_DIR})
    endif()
    if(SMUMPS_STATIC_LIB AND DMUMPS_STATIC_LIB AND CMUMPS_STATIC_LIB AND ZMUMPS_STATIC_LIB
       AND MUMPS_COMMON_STATIC_LIB AND PORD_STATIC_LIB)
      set(MUMPS_LIBS ${SMUMPS_STATIC_LIB} ${DMUMPS_STATIC_LIB} ${CMUMPS_STATIC_LIB} ${ZMUMPS_STATIC_LIB}
                     ${MUMPS_COMMON_STATIC_LIB} ${PORD_STATIC_LIB})
    else()
      find_library(SMUMPS_LIB NAMES smumps PATHS ${MUMPS_LIB_DIR})
      find_library(DMUMPS_LIB NAMES dmumps PATHS ${MUMPS_LIB_DIR})
      find_library(CMUMPS_LIB NAMES cmumps PATHS ${MUMPS_LIB_DIR})
      find_library(ZMUMPS_LIB NAMES zmumps PATHS ${MUMPS_LIB_DIR})
      find_library(MUMPS_COMMON_LIB NAMES mumps_common PATHS ${MUMPS_LIB_DIR})
      find_library(PORD_LIB NAMES pord PATHS ${MUMPS_LIB_DIR})
      if (SMUMPS_LIB AND DMUMPS_LIB AND CMUMPS_LIB AND ZMUMPS_LIB
          AND MUMPS_COMMON_LIB AND PORD_LIB)
        set(MUMPS_LIBS ${SMUMPS_LIB} ${DMUMPS_LIB} ${CMUMPS_LIB} ${ZMUMPS_LIB}
                       ${MUMPS_COMMON_LIB} ${PORD_LIB})
      endif()
    endif()
  endif()
#  find_library(MUMPS_COMMON_LIBRARY NAMES mumps_common HINTS ${MUMPS_LIB_DIR})
#  find_library(MUMPS_PORD_LIBRARY NAMES pord HINTS ${MUMPS_LIB_DIR})
#  find_library(MPI_SEQ NAMES mpiseq HINTS ${MUMPS_LIB_DIR})
#  set(MUMPS_LIBRARIES ${DMUMPS_LIB}
#                      ${MUMPS_COMMON_LIBRARY}
#                      ${MUMPS_PORD_LIBRARY}
#                      ${MPI_SEQ})
  #  find_package(MUMPS REQUIRED)
  find_path(MUMPS_INCLUDE_PATH NAMES dmumps_struc.h HINTS ${MUMPS_INC_DIR})
  set(CMAKE_REQUIRED_INCLUDES ${MUMPS_INCLUDE_PATH})
    check_include_file(smumps_c.h HAVE_SMUMPS_C)
    check_include_file(dmumps_c.h HAVE_DMUMPS_C)
    check_include_file(cmumps_c.h HAVE_CMUMPS_C)
    check_include_file(zmumps_c.h HAVE_ZMUMPS_C)
  set(CMAKE_REQUIRED_INCLUDES)

  if(MUMPS_LIBS)
    message(STATUS "MUMPS_LIBS = ${MUMPS_LIBS}")
  else()
    message(WARNING "MUMPS LIB NOT found : you can define MUMPS_LIB_DIR to help cmake find it")
  endif()

  if(MUMPS_INCLUDE_PATH)
    message(STATUS "MUMPS_INCLUDE_PATH = ${MUMPS_INCLUDE_PATH}")
  else()
    message(WARNING "MUMPS headers NOT found : you can define MUMPS_INC_DIR to help cmake find them")
  endif()

  if(MUMPS_LIBS AND MUMPS_INCLUDE_PATH)
    set(GMM_USES_MUMPS 1)
    message(STATUS "Building with MUMPS support")
  else()
    set(ENABLE_MUMPS OFF)
    message(WARNING "Building without MUMPS support")
  endif()
else()
  message("Building with MUMPS explicitly disabled")
endif()

if(NOT ENABLE_MUMPS AND NOT ENABLE_SUPERLU)
  message(FATAL_ERROR
          "Neither MUMPS nor SuperLU activated."
          "At least one direct linear solver is required."
          "Use MUMPS_LIB_DIR, MUMPS_INC_DIR, SUPERLU_LIB_DIR and SUPERLU_INC_DIR")
endif()

# define source files and main build target
set(SOURCES
    src/bgeot_convex_ref.cc
    src/bgeot_convex_ref_simplexified.cc
    src/bgeot_convex_structure.cc
    src/bgeot_ftool.cc
    src/bgeot_geometric_trans.cc
    src/bgeot_geotrans_inv.cc
    src/bgeot_kdtree.cc
    src/bgeot_mesh_structure.cc
    src/bgeot_node_tab.cc
    src/bgeot_poly.cc
    src/bgeot_poly_composite.cc
    src/bgeot_rtree.cc
    src/bgeot_small_vector.cc
    src/bgeot_sparse_tensors.cc
    src/bgeot_torus.cc
    src/dal_backtrace.cc
    src/dal_bit_vector.cc
    src/dal_singleton.cc
    src/dal_static_stored_objects.cc
    src/getfem_assembling_tensors.cc
    src/getfem_contact_and_friction_common.cc
    src/getfem_contact_and_friction_integral.cc
    src/getfem_contact_and_friction_large_sliding.cc
    src/getfem_contact_and_friction_nodal.cc
    src/getfem_context.cc
    src/getfem_continuation.cc
    src/getfem_enumeration_dof_para.cc
    src/getfem_error_estimate.cc
    src/getfem_export.cc
    src/getfem_fem.cc
    src/getfem_fem_composite.cc
    src/getfem_fem_global_function.cc
    src/getfem_fem_level_set.cc
    src/getfem_fourth_order.cc
    src/getfem_generic_assembly_compile_and_exec.cc
    src/getfem_generic_assembly_functions_and_operators.cc
    src/getfem_generic_assembly_interpolation.cc
    src/getfem_generic_assembly_semantic.cc
    src/getfem_generic_assembly_tree.cc
    src/getfem_generic_assembly_workspace.cc
    src/getfem_global_function.cc
    src/getfem_HHO.cc
    src/getfem_im_data.cc
    src/getfem_import.cc
    src/getfem_integration.cc
    src/getfem_integration_composite.cc
    src/getfem_interpolated_fem.cc
    src/getfem_interpolation.cc
    src/getfem_interpolation_on_deformed_domains.cc
    src/getfem_level_set.cc
    src/getfem_level_set_contact.cc
    src/getfem_linearized_plates.cc
    src/getfem_locale.cc
    src/getfem_mat_elem.cc
    src/getfem_mat_elem_type.cc
    src/getfem_mesh.cc
    src/getfem_mesher.cc
    src/getfem_mesh_fem.cc
    src/getfem_mesh_fem_global_function.cc
    src/getfem_mesh_fem_level_set.cc
    src/getfem_mesh_fem_product.cc
    src/getfem_mesh_fem_sum.cc
    src/getfem_mesh_im.cc

=== doc/sphinx/source/userdoc/images/Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
      getfemlistintmethodtriangle6.fig        \
      getfemlistintmethodtriangle7.fig        \
      getfemlistmorley.fig                    \
+     getfemlistmorley3D.fig                  \
      getfemlistnedelec.fig                   \
      getfemlistprismP1.fig                   \
      getfemlistprismP2P1.fig                 \

=== debian/changelog ===
getfem (5.4.4+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * configure SuperLU (libsuperlu-dev) as the linear solver on
    architectures (hppa powerpc) where MUMPS is not available
  * Build-Depends: python3-numpy-dev to provide dh_numpy3
  * update debian/watch to v5 format
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Feb 2026 15:03:55 +0100

getfem (5.4.4+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * add gmm_torture01_lusolve to the test skip list in debian patch
    08_skip_failing_tests.patch. Fails on i386. Closes: #1103081
  * run dh_numpy3 after dh_python3
  * drop dh_missing from dh_install override
    (dh_missing is called automatically by dh)
  * debian/copyright: drop superlu, no longer included in source

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Apr 2025 12:51:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,36 @@
 Source: getfem
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: autoconf,
+Build-Depends: dpkg-dev (>= 1.22.5), autoconf,
                automake,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
                liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
                libmetis-dev,
-               libmumps-seq-dev,
+               libmumps-seq-dev [!hppa !powerpc],
+               libsuperlu-dev [hppa powerpc],
                libqhull-dev,
                libsuperlu-dev,
                libtool,
                python3-dev,
-               python3-numpy,
-               python3-scipy
-Standards-Version: 4.6.1
+               python3-numpy-dev,
+               python3-scipy,
+               python3-setuptools,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/getfem
 Vcs-Git: https://salsa.debian.org/science-team/getfem.git
 Homepage: http://getfem.org/
+Rules-Requires-Root: no
 
 Package: libgetfem-dev
 Replaces: libgetfem++-dev (<< 5.4.1~)
 Breaks: libgetfem++-dev (<< 5.4.1~)
 Architecture: any
 Section: libdevel
-Depends: libgetfem5 (= ${binary:Version}),
+Depends: libgetfem5t64 (= ${binary:Version}),
          libgmm-dev (= ${binary:Version}),
          libsuperlu-dev,
          ${misc:Depends}
@@ -39,9 +42,10 @@
  This package contains development files for building software that uses the
  GETFEM library.
 
-Package: libgetfem5
-Replaces: libgetfem5++ (<< 5.4.1~)
-Breaks: libgetfem5++ (<< 5.4.1~)
+Package: libgetfem5t64
+Provides: ${t64:Provides}
+Replaces: libgetfem5, libgetfem5++ (<< 5.4.1~)
+Breaks: libgetfem5 (<< ${source:Version}), libgetfem5++ (<< 5.4.1~)
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -58,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libmumps-dev,
+Depends: libmumps-dev [!hppa !powerpc], libsuperlu-dev [hppa powerpc],
          ${misc:Depends}
 Description: Generic C++ template library for sparse, dense and skyline matrices
  GMM is a framework of pre-defined methods for matrix computation. It is built
@@ -74,7 +78,7 @@
 Architecture: any
 Section: python
 XB-Python-Version: ${python3:Versions}
-Depends: libgetfem5 (= ${binary:Version}),
+Depends: libgetfem5t64 (= ${binary:Version}),
          python3,
          python3-numpy,
          python3-scipy,
@@ -88,7 +92,7 @@
  for arbitrary dimension.
  .
  This package contains the Python 3 interface to GETFEM.
- 
+
 Package: libgetfem++-dev
 Depends: libgetfem-dev, ${misc:Depends}
 Architecture: all
@@ -98,7 +102,7 @@
  This is a transitional package. It can safely be removed.
 
 Package: libgetfem5++
-Depends: libgetfem5, ${misc:Depends}
+Depends: libgetfem5t64, ${misc:Depends}
 Architecture: all
 Priority: optional
 Section: oldlibs

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,16 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+NO_MUMPS_ARCH_LIST = hppa powerpc
+ifneq (,$(filter $(NO_MUMPS_ARCH_LIST),$(DEB_HOST_ARCH)))
+  LINEAR_SOLVER_CONFIG = --enable-superlu --disable-mumps
+else
+  LINEAR_SOLVER_CONFIG = --disable-superlu --enable-mumps --with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"
+endif
+
 %:
-	dh $@ --with python3
+	dh $@
 
 #=====================================================================
 
@@ -14,9 +24,9 @@
 configure_flags= $(CROSS) --prefix=/usr \
 		--enable-shared --with-pic \
 		--enable-python3 --enable-metis \
-		--disable-matlab --disable-superlu \
-		--enable-mumps --disable-scilab \
-		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  
+		--disable-matlab \
+		--disable-scilab \
+		$(LINEAR_SOLVER_CONFIG)
 
 #=====================================================================
 
@@ -29,11 +39,11 @@
 
 override_dh_install:
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
-	find . -name '*.pyo' -print0 | xargs -0 rm -f
 	find . -name '*.la' -print0 | xargs -0 rm -f
 	dh_install
 	sed "s/from getfem import/from .getfem import/; s/from _getfem import/from ._getfem import/" -i debian/tmp/usr/lib/python*/*-packages/getfem/*.py
-	dh_missing --list-missing
+
+execute_after_dh_python3:
 	dh_numpy3
 
 override_dh_installchangelogs:
@@ -41,3 +51,7 @@
 
 #override_dh_auto_test:
 #	dh_auto_test || true
+
+override_dh_auto_clean:
+	rm -rf src/gmm/getfem_arch_config.h
+	dh_auto_clean

=== debian/watch ===
Version: 5

Source: http://download-mirror.savannah.gnu.org/releases/getfem/stable/
Matching-Pattern: getfem-@ANY_VERSION@@ARCHIVE_EXT@
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +dfsg1
